Summary: Yerase's TNEF Stream Reader
Name: ytnef
Version: 2.6
Release: 5%{?dist}
License: GPL+
Group: Applications/Productivity
URL: http://sourceforge.net/projects/ytnef/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libytnef-devel

Patch0: ytnef_fix_requires.patch

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%prep
%setup -q
%patch0 -p2


#fix location
%{__sed} -i 's|my $reader = "/usr/local/bin/ytnef";|my $reader = "%{_bindir}/ytnef";|g' src/ytnef/ytnefprocess.pl


%build
%configure
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libytnef"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make}  install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess.pl

%changelog
* Thu Nov 19 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-5
- fix location in ytnefprocess.pl

* Thu May 28 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-4
- fix perl requires

* Tue Mar 24 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-3
- Changed License to the same as libytnef-devel
- Macronify everything as possible.
- Included ChangeLog as part of the documentation.

* Fri Feb 13 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-2
- Rebuild for fedora 10

* Fri Mar 12 2004 Patrick <rpms@puzzled.xs4all.nl>
- Initial version

